std::_Temporary_buffer< _ForwardIterator, _Tp > Class Template Reference
Inheritance diagram for std::_Temporary_buffer< _ForwardIterator, _Tp >:
[legend]

## Public Types

typedef pointer | iterator
typedef value_type * | pointer
typedef ptrdiff_t | size_type
typedef _Tp | value_type

## Public Member Functions

| _Temporary_buffer (_ForwardIterator __seed, size_type __original_len)
iterator | begin ()
iterator | end ()
size_type | requested_size () const
size_type | size () const

## Protected Attributes

pointer | _M_buffer
size_type | _M_len
size_type | _M_original_len

## Detailed Description

### template<typename _ForwardIterator, typename _Tp>
class std::_Temporary_buffer< _ForwardIterator, _Tp >

This class is used in two places: stl_algo.h and ext/memory, where it is wrapped as the temporary_buffer class. See temporary_buffer docs for more notes.

Definition at line 137 of file stl_tempbuf.h.

## Constructor & Destructor Documentation

## _Temporary_buffer()

template<typename _ForwardIterator , typename _Tp >

std::_Temporary_buffer< _ForwardIterator, _Tp >::_Temporary_buffer | ( | _ForwardIterator | __seed,
|  | size_type | __original_len
| ) |  |

Constructs a temporary buffer of a size somewhere between zero and the given length.

Definition at line 258 of file stl_tempbuf.h.

References std::pair< _T1, _T2 >::first.

## Member Function Documentation

## begin()

template<typename _ForwardIterator , typename _Tp >

iterator std::_Temporary_buffer< _ForwardIterator, _Tp >::begin | ( |  | ) |

inline

As per Table mumble.

Definition at line 166 of file stl_tempbuf.h.

## end()

template<typename _ForwardIterator , typename _Tp >

iterator std::_Temporary_buffer< _ForwardIterator, _Tp >::end | ( |  | ) |

inline

As per Table mumble.

Definition at line 171 of file stl_tempbuf.h.

## requested_size()

template<typename _ForwardIterator , typename _Tp >

size_type std::_Temporary_buffer< _ForwardIterator, _Tp >::requested_size | ( |  | ) | const

inline

Returns the size requested by the constructor; may be >size().

Definition at line 161 of file stl_tempbuf.h.

## size()

template<typename _ForwardIterator , typename _Tp >

size_type std::_Temporary_buffer< _ForwardIterator, _Tp >::size | ( |  | ) | const

inline

As per Table mumble.

Definition at line 156 of file stl_tempbuf.h.

The documentation for this class was generated from the following file:

- stl_tempbuf.h